# Notification

@dynatrace-sdk/client-notification

## 2.0.2

### Patch Changes

- Improve performance of payload transformations. (APPDEV-12840)
- Added support for optional transformations. (APPDEV-11914)
- Added fix for 'transformToFormDataField' function. (APPDEV-12478)
- Remove generatedAt property from metadata file. (APPDEV-12696)

## 2.0.1

Add code to error schema.

## 2.0.0

### Breaking changes

- Created distinct components and changed references from `SelfNotificationRequest` to `SelfNotificationCreate` and `SelfNotificationUpdate`.
- Replaced inline enums with reusable components such as `DavisEventTriggerConfigType`, `DavisProblemTriggerConfigType`, and `EventQueryTriggerConfigType`.
- Updated the `input` property description to reference `SelfNotificationInput` instead of `SendDefaultNotificationInput`.

### Minor changes

- Added `nullable` attribute to `createdBy` and `lastModifiedBy` properties in `ModificationInfo`.

## 1.8.4

Add missing docstrings.

## 1.8.3

### Patch Changes

- Fix date-time format serialization. (APPDEV-11661)

## 1.8.2

### Patch Changes

- Replace model transformations with single transformation function. (APPDEV-10818)
- Redundant error serializers are removed. (APPDEV-10272)
- Missing await added for API Gateway handler and line breaks at the end of the string are ignored. APPDEV-10883
- Imports reformatted and fixed incorrect type rendered for arrays of enum values. APPDEV-10701

## 1.8.1

Simplify typescript types

## 1.8.0

### Minor Changes

- Enums are replaced with unions of literals. APPDEV-10338

## 1.7.0

### Minor Changes

- `SelfNotification` trigger configuration supports `dt.system.events`.

## 1.6.0

### Minor Changes

- For the `SelfNotification` interface, the `id` property is now required.

## 1.5.0

### Features

- Export errors from the package.

## 1.4.0

### Minor Changes

- Introduced @dynatrace-sdk/shared-errors package and improved response errors handling.

## 1.3.0

updated documentation

## 1.2.0

add more documentation

## 1.1.0

### Minor Changes

- Introduced `notificationType` filter.

## 1.0.0

### Major Changes

- Initial release of @dynatrace-sdk/client-notification and @dynatrace-sdk/client-notification-docs packages